Zum Inhalt springen

Das Original eines öffentlichen Dokuments

GET
/v1/aps/{slug}/documents/{uid}
curl --request GET \
--url https://api.vimine.network/v1/aps/example/documents/example

Antwortet mit 302 auf einen fünfzehn Minuten gültigen Link zum Original (PDF, JPEG oder PNG). Die Stufe wird bei jedem Aufruf geprüft: Ein Dokument, das der Verein zurückgezogen hat, antwortet von diesem Moment an mit 404. Nie zwischengespeichert.

slug
erforderlich
string
uid
erforderlich
string

Weiterleitung zum Original — ein fünfzehn Minuten gültiger Link

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Unbekannter Verein oder unbekanntes Dokument, oder ein Dokument, das nicht öffentlich ist

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}